#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.4
visibility:           public
id:                   http-client-restricted-0.0.4-7ORkmp22fXjEMzXCmidGck
key:                  http-client-restricted-0.0.4-7ORkmp22fXjEMzXCmidGck
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  1c4f22341d88bd639bcdf7714591d169
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-9.0.2/site-local/http-client-restricted-0.0.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/http-client-restricted-0.0.4
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.2/http-client-restricted-0.0.4

hs-libraries:         HShttp-client-restricted-0.0.4-7ORkmp22fXjEMzXCmidGck
depends:
    base-4.15.1.0 connection-0.3.1-DyO9peWc57ZJ8vOcGpM0Vp
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R
    http-client-0.7.10-8uUhmYJWYzJFzOvc8FXp1C
    http-client-tls-0.3.5.3-Im5llGExZLFLUwB0F4zDFB
    network-3.1.2.7-2cexnWNG5NW9UTRWNei8Pu
    network-bsd-2.8.1.0-6hyhbwXW1PiFlkAKq6O4Va
    utf8-string-1.0.2-KjuNIXlz9nLBRUo9udyXKF

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

